perl vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the perl package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • H
Out-of-bounds Write
<5.24.1-3+deb9u7 Not available 01 Jun, 2020
  • H
Integer Overflow or Wraparound
<5.24.1-3+deb9u7 Not available 01 Jun, 2020
  • H
Buffer Overflow
<5.24.1-3+deb9u7 Not available 01 Jun, 2020
  • H
Out-of-bounds Read
<5.24.1-3+deb9u5 Not available 02 Dec, 2018
  • H
Out-of-Bounds
<5.24.1-3+deb9u5 Not available 02 Dec, 2018
  • H
Out-of-bounds Write
<5.24.1-3+deb9u5 Not available 02 Dec, 2018
  • H
Out-of-Bounds
<5.24.1-3+deb9u5 Not available 02 Dec, 2018
  • H
Arbitrary Code Injection
<5.18.1-2 Not available 27 Jun, 2018
  • L
Link Following
* Not available 27 Jun, 2018
  • H
Link Following
<5.24.1-3+deb9u4 Not available 07 Jun, 2018
  • H
Out-of-bounds Write
<5.24.1-3+deb9u3 Not available 17 Apr, 2018
  • H
Out-of-bounds Read
<5.24.1-3+deb9u3 Not available 17 Apr, 2018
  • H
Out-of-bounds Write
<5.24.1-3+deb9u3 Not available 17 Apr, 2018
  • H
Out-of-Bounds
<5.24.1-3+deb9u2 Not available 19 Sep, 2017
  • H
Out-of-Bounds
<5.24.1-3+deb9u2 Not available 19 Sep, 2017
  • M
Race Condition
<5.24.1-3 Not available 01 Jun, 2017
  • H
Access Restriction Bypass
<5.22.2-3 Not available 02 Aug, 2016
  • H
Improper Access Control
<5.22.2-2 Not available 02 Aug, 2016
  • H
Improper Input Validation
<5.22.1-1 Not available 25 May, 2016
  • H
Improper Input Validation
<5.22.1-8 Not available 08 Apr, 2016
  • H
Improper Input Validation
<5.22.1-4 Not available 13 Jan, 2016
  • H
Numeric Errors
<5.20.0-1 Not available 16 Aug, 2015
  • M
Out-of-Bounds
<5.20.1-1 Not available 30 Sep, 2014
  • L
Improper Input Validation
<5.20.1-1 Not available 10 Feb, 2014
  • H
Resource Management Errors
<5.14.2-19 Not available 14 Mar, 2013
  • H
Arbitrary Code Injection
<5.14.2-16 Not available 04 Jan, 2013
  • L
CVE-2011-2728
<5.14.2-1 Not available 21 Dec, 2012
  • H
Out-of-Bounds
<5.14.2-14 Not available 18 Dec, 2012
  • M
Configuration
<5.14.2-16 Not available 21 Nov, 2012
  • L
Improper Input Validation
<5.12.4-6 Not available 13 Jan, 2012